package cn.amq.peas;

import java.util.LinkedList;
import java.util.List;
import org.dom4j.Element;
import org.dom4j.Node;
import cn.amq.basis.AmqBasisEvent;
import cn.amq.basis.AmqConst;
import java.util.LinkedList;
//[视频联动上墙_holder_one]
public class VideoToWallHolder extends AmqBasisEvent {
 	public VideoToWallHolder(){
		msgType=AmqConst.AMQ_MSG_VideoToWall;
	}
	private String senderModuleName;//[发送模块名称]
	private String gjbh;//[唯一的ID。取消上墙时，靠这个字段来关联d]
	private String fdId;//[设备编号]
	private String tdbh;//[通道编号]
	private String alarmCode;//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
	private String gjsj;//[告警时间]
	private String gjmc;//[告警名称]
	private String videoType;//[视频类型-0： 实时视频 1:录像]
	private String beginTime;//[开始时间：录像时有效]
	private String duration;//[上墙时长--视频在大屏显示时长，单位为秒。超过该时长，大屏恢复到切换前视频当然，在该时间之内，收到清除上墙告警，也会恢复到切换前视频]
	private String wallId;//[墙编号]
	private String secnceId;//[场景编号，先冗余吧，表示切换到哪个场景]
	private String winId;//[窗口编号，由于窗口都是动态创建的，以相对位置表示吧， 共九个， 0：上，1：下，2：左，3：右，4：中，5：左上，6：左下，7：右上，8：右下]
	private String overlayText;//[叠加的文字]
	private String jpgurl;//[叠加的图片]
	public void setSenderModuleName(String senderModuleName){
		this.senderModuleName = senderModuleName;
	}
	public String getSenderModuleName(){
		return senderModuleName;
	}
	public void setGjbh(String gjbh){
		this.gjbh = gjbh;
	}
	public String getGjbh(){
		return gjbh;
	}
	public void setFdId(String fdId){
		this.fdId = fdId;
	}
	public String getFdId(){
		return fdId;
	}
	public void setTdbh(String tdbh){
		this.tdbh = tdbh;
	}
	public String getTdbh(){
		return tdbh;
	}
	public void setAlarmCode(String alarmCode){
		this.alarmCode = alarmCode;
	}
	public String getAlarmCode(){
		return alarmCode;
	}
	public void setGjsj(String gjsj){
		this.gjsj = gjsj;
	}
	public String getGjsj(){
		return gjsj;
	}
	public void setGjmc(String gjmc){
		this.gjmc = gjmc;
	}
	public String getGjmc(){
		return gjmc;
	}
	public void setVideoType(String videoType){
		this.videoType = videoType;
	}
	public String getVideoType(){
		return videoType;
	}
	public void setBeginTime(String beginTime){
		this.beginTime = beginTime;
	}
	public String getBeginTime(){
		return beginTime;
	}
	public void setDuration(String duration){
		this.duration = duration;
	}
	public String getDuration(){
		return duration;
	}
	public void setWallId(String wallId){
		this.wallId = wallId;
	}
	public String getWallId(){
		return wallId;
	}
	public void setSecnceId(String secnceId){
		this.secnceId = secnceId;
	}
	public String getSecnceId(){
		return secnceId;
	}
	public void setWinId(String winId){
		this.winId = winId;
	}
	public String getWinId(){
		return winId;
	}
	public void setOverlayText(String overlayText){
		this.overlayText = overlayText;
	}
	public String getOverlayText(){
		return overlayText;
	}
	public void setJpgurl(String jpgurl){
		this.jpgurl = jpgurl;
	}
	public String getJpgurl(){
		return jpgurl;
	}
	public void writeObjToXml() {
		super.writeObjToXml();
 		this.addTextToElement(outMsgTypeElement, "senderModuleName",senderModuleName );//[发送模块名称]
 		this.addTextToElement(outMsgTypeElement, "gjbh",gjbh );//[唯一的ID。取消上墙时，靠这个字段来关联d]
 		this.addTextToElement(outMsgTypeElement, "fdId",fdId );//[设备编号]
 		this.addTextToElement(outMsgTypeElement, "tdbh",tdbh );//[通道编号]
 		this.addTextToElement(outMsgTypeElement, "alarmCode",alarmCode );//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		this.addTextToElement(outMsgTypeElement, "gjsj",gjsj );//[告警时间]
 		this.addTextToElement(outMsgTypeElement, "gjmc",gjmc );//[告警名称]
 		this.addTextToElement(outMsgTypeElement, "videoType",videoType );//[视频类型-0： 实时视频 1:录像]
 		this.addTextToElement(outMsgTypeElement, "beginTime",beginTime );//[开始时间：录像时有效]
 		this.addTextToElement(outMsgTypeElement, "duration",duration );//[上墙时长--视频在大屏显示时长，单位为秒。超过该时长，大屏恢复到切换前视频当然，在该时间之内，收到清除上墙告警，也会恢复到切换前视频]
 		this.addTextToElement(outMsgTypeElement, "wallId",wallId );//[墙编号]
 		this.addTextToElement(outMsgTypeElement, "secnceId",secnceId );//[场景编号，先冗余吧，表示切换到哪个场景]
 		this.addTextToElement(outMsgTypeElement, "winId",winId );//[窗口编号，由于窗口都是动态创建的，以相对位置表示吧， 共九个， 0：上，1：下，2：左，3：右，4：中，5：左上，6：左下，7：右上，8：右下]
 		this.addTextToElement(outMsgTypeElement, "overlayText",overlayText );//[叠加的文字]
 		this.addTextToElement(outMsgTypeElement, "jpgurl",jpgurl );//[叠加的图片]
	}
	public void readTextToObject(String text) throws Exception {
		super.readTextToObject(text);
 		senderModuleName = this.readStringByFullPath("/amq/senderModuleName");//[发送模块名称]
 		gjbh = this.readStringByFullPath("/amq/gjbh");//[唯一的ID。取消上墙时，靠这个字段来关联d]
 		fdId = this.readStringByFullPath("/amq/fdId");//[设备编号]
 		tdbh = this.readStringByFullPath("/amq/tdbh");//[通道编号]
 		alarmCode = this.readStringByFullPath("/amq/alarmCode");//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		gjsj = this.readStringByFullPath("/amq/gjsj");//[告警时间]
 		gjmc = this.readStringByFullPath("/amq/gjmc");//[告警名称]
 		videoType = this.readStringByFullPath("/amq/videoType");//[视频类型-0： 实时视频 1:录像]
 		beginTime = this.readStringByFullPath("/amq/beginTime");//[开始时间：录像时有效]
 		duration = this.readStringByFullPath("/amq/duration");//[上墙时长--视频在大屏显示时长，单位为秒。超过该时长，大屏恢复到切换前视频当然，在该时间之内，收到清除上墙告警，也会恢复到切换前视频]
 		wallId = this.readStringByFullPath("/amq/wallId");//[墙编号]
 		secnceId = this.readStringByFullPath("/amq/secnceId");//[场景编号，先冗余吧，表示切换到哪个场景]
 		winId = this.readStringByFullPath("/amq/winId");//[窗口编号，由于窗口都是动态创建的，以相对位置表示吧， 共九个， 0：上，1：下，2：左，3：右，4：中，5：左上，6：左下，7：右上，8：右下]
 		overlayText = this.readStringByFullPath("/amq/overlayText");//[叠加的文字]
 		jpgurl = this.readStringByFullPath("/amq/jpgurl");//[叠加的图片]
	}
}
